Server Spy Version History

11 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 0.2.3.1-signed 28.9 kB Works with Firefox 20.0 and later

Fixed the display of the web server badge in recent versions of Firefox: the badge did not show up any more with Server Spy 0.2.1.

Version 0.2.2.1-signed 28.9 kB Works with Firefox 20.0 and later

Fixed the display of the web server badge in recent versions of Firefox: the badge did not show up any more with Server Spy 0.2.1.

Version 0.2.1.1-signed 28.7 kB Works with Firefox 3.6 and later

By popular demand, this version adds back the server name display in the status/addon bar. What to display (status bar item and/or badge) may be selected in the preference dialog.

I'm aware of an incompatibility with the default theme of Firefox 3.6 on MacOS X: the address bar icon gets displayed at the wrong place. Please unckeck the "display address bar icon" if you are in this situation.

Version 0.2.0 27.6 kB Works with Firefox 4.0b1 - 4.0b8pre

This version introduces a major change in Server Spy's user interface to make it compatible with Firefox 4, which does not have a status bar.

In this version, Firefox displays an orange badge at the left of the address bar, just next to the site "favicon". If the server software is identified as belonging to one of the well-known brands (Apache, IIS, lighttpd, etc.), the initial letter of the name of the software is displayed in the badge. Additionaly, When clicking on the badge or favicon, Firefox displays the usual “server identity” popup. Server Spy adds a line in this dialog, indicating the full HTTP server string.

Version 0.1.6 12.3 kB Works with Firefox 2.0 - 3.6.*

ServerSpy will now install on Firefox 3.5. Nothing was changed in ServerSpy.

Version 0.1.5 12.3 kB Works with Firefox 2.0 - 3.0b5

This update fixes a bug which caused incompatibilities with other extensions. This resulted from a conflicting use of a variable called "gBrowser". This version removes compatibility with Firefox 1.5. Users of Firefox 1.5 should upgrade to Firefox 2+ or use Server Spy 0.1.4.

Version 0.1.4 11.3 kB Works with Firefox 1.5 - 3.0b4

This version fixes French translation issues and explicitly sets maxVersion to Firefox 3.0b4.

Version 0.1.3 10.2 kB Works with Firefox 1.5 - 3.0b4

This version adds compatibility with Firefox 3.0.

It does not address potential problems nor adds new features. These are planned for a future release, still to come. Stay tuned!

Version 0.1.2 9.2 kB Works with Firefox 1.5 - 2.0.0.*

This version adds compatibility with Firefox 2.0.

It does not address potential problems nor adds new features. These are planned for an upcoming 0.2 release. Stay tuned!

Version 0.1.1 9.2 kB Works with Firefox 1.5 - 1.5.0.*

This release fixes a number of bugs, thanks to the feedback of many users:
* FIXED (critical): on some configurations, server information was not refreshed when no information was available, thus leading to misleading information. The same bug prevented the pop-up dialog from opening
* FIXED: dialog was messed up when server string is too long
* FIXED: an exception was regularly thrown (method "observe" not found in nsIObserver instance)
* FIXED: an exception was thrown when closing the dialog

The newer version should be much more stable!

Version 0.1.0 8.2 kB Works with Firefox 1.5 - 1.5.0.*

This early 0.1.0 release is available in English and French. It seems to be pretty stable, but may still contain bugs.